using System;
using UnityEngine;


namespace AssemblyCSharp
{
	public class KeyboardController : IPlayerController
	{
		KeyCode left;
		KeyCode right;
		KeyCode jump;

		public KeyboardController(KeyCode left, KeyCode right, KeyCode jump) {
			this.left = left;
			this.right = right;
			this.jump = jump;
		}

		public bool getLeft() {
			return Input.GetKey(left);
		}
		public bool getRight() {
			return Input.GetKey (right);
		}
		public bool getJump() {
			return Input.GetKeyDown(jump);
		}
	}
}

